Subject: Re: bug#9939: Problems with the SIZE description in man pages for <ls> and <du>

From: Paul Eggert <[email-masked]>
Date: Wed, 02 Nov 2011 23:24:26 -0700

On 11/02/11 19:33, abdallah clark wrote:

> am I to be able to use <1000*1000> or <1024*1024> in
> either one of those commands?

Not those exact strings, no.  At least, not as far as I know.
But "MB" is short for 1000*1000, and "M" for 1024*1024.

> I saw that I could use other numerics,
> even odd amounts, but nothing with an implied evaluation as the
> description of SIZE starts off by saying.

Sorry, don't follow.  Perhaps an example would clarify?

> I can see no rhyme or reason why I get lowercase K, or KB or
> kB, etc. for the <ls> command, either.

Again, I'm lost.  Got a specific example?

> The same goes for the statement on mandatory options. Just what is a
> long option as compared to a short option?

A long option is something like --ignore='*.x'.
A short option is something like -I '*.x'.
Typically, for every short option there's an equivalent long
option, but the reverse is not necessarily true.

> How do I know what is
> mandatory from what isn't?

Optional arguments are written in square brackets in the
documentation, e.g., --color[=WHEN].  This isn't written
down in the man page, unfortunately.  It is described (not
all that well) in the full manual, here:

http://www.gnu.org/s/coreutils/manual/html_node/General-output-formatting.html#index-g_t_002d_002dcolor-791